## org.eclipse.datatools.enablement.mysql.ddl
Class MySqlDdlBuilder

    java.lang.Object
      org.eclipse.datatools.enablement.mysql.ddl.shared.MySqlDdlBuilderHelper
          org.eclipse.datatools.enablement.mysql.ddl.MySqlDdlBuilder

    public class MySqlDdlBuilder

extends MySqlDdlBuilderHelper

This class generates the actual sql statements for MySql

Constructor Summary
`MySqlDdlBuilder()`

Method Summary
`java.lang.String` `createIndex(Index index, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createTable(BaseTable table, boolean quoteIdentifiers, boolean qualifyNames, boolean generatePk)`
`java.lang.String` `createTrigger(Trigger trigger, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createView(ViewTable view, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropIndex(Index index, boolean quoteIdentifiers, boolean qualifyNames)`

Methods inherited from class org.eclipse.datatools.enablement.mysql.ddl.shared.MySqlDdlBuilderHelper
`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, clearCreate, clearDrop, dropTable, dropTableConstraint, dropTrigger, dropView, getEngineeringCallBack, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlDdlBuilder

    public MySqlDdlBuilder()

Method Detail

### dropIndex

    public java.lang.String dropIndex(Index index,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames)

  Specified by:
    `dropIndex` in class `MySqlDdlBuilderHelper`

### createTable

    public java.lang.String createTable(BaseTable table,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames,
                                        boolean generatePk)

  Specified by:
    `createTable` in class `MySqlDdlBuilderHelper`

### createView

    public java.lang.String createView(ViewTable view,
                                       boolean quoteIdentifiers,
                                       boolean qualifyNames)

  Specified by:
    `createView` in class `MySqlDdlBuilderHelper`

### createIndex

    public java.lang.String createIndex(Index index,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames)

  Specified by:
    `createIndex` in class `MySqlDdlBuilderHelper`

### createTrigger

    public java.lang.String createTrigger(Trigger trigger,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames)

  Specified by:
    `createTrigger` in class `MySqlDdlBuilderHelper`